Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229316 - Suspend broken for kernel "2.6.20-1.2932.fc7"
Summary: Suspend broken for kernel "2.6.20-1.2932.fc7"
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-20 08:58 UTC by Joachim Frieben
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-21 18:31:58 UTC


Attachments (Terms of Use)

Description Joachim Frieben 2007-02-20 08:58:21 UTC
Description of problem:
After ugrading the kernel on a "IBM ThinkPad T23" to "2.6.20-1.2932.fc7",
"suspend" is broken. It is possible to suspend the system but upon
resume, a single line is issued to the console, namely:
"Stopping tasks ... done." before the screen goes blank, and the system
gets blocked.

Version-Release number of selected component (if applicable):
kernel-2.6.20-1.2932.fc7

How reproducible:
Always.

Steps to Reproduce:
1. Boot system w/kernel "2.6.20-1.2932.fc7".
2. Suspend system by clicking "suspend" button of "GNOME" system menu.
3. Press power button to resume.

Actual results:
System issues "Stopping tasks ... done." and hangs afterwards.

Expected results:
System resumes normal operation.

Additional info:
Downgrading system to kernel "2.6.19-1.2914.fc7" allows to recover a
functional suspend mode. The kernel got broken some time last week
but I am unable to tell when the breakage occurred exactly.

Comment 1 Joachim Frieben 2007-02-21 18:31:29 UTC
Fixed in "kernel-2.6.20-1.2936.fc7". Btw, by successive trial, it turned
out that the bug has been introduced in a kernel package later than
"kernel-2.6.20-1.2925.fc7" which also works.


Note You need to log in before you can comment on or make changes to this bug.